-- VariableBeaconLights
--
-- Version 1.0
-- Autor Ralf08
-- 
-- Change log:
-- 22.03.2015 / Ralf08 / Release
-- 14.04.2015 / Ralf08 / Insert specilization previous to LightAddon


SpecializationUtil.registerSpecialization("VariableBeaconLights", "VariableBeaconLights", g_currentModDirectory.."VariableBeaconLights.lua")

VariableBeaconLights_Register = {};

function VariableBeaconLights_Register:loadMap(name)
	if self.firstRun == nil then
		self.firstRun = false;
		
		for k, v in pairs(VehicleTypeUtil.vehicleTypes) do
			if v ~= nil then
				local insPos = table.maxn(v.specializations)
				for i = 1, table.maxn(v.specializations) do
					local vs = v.specializations[i];
					if vs ~= nil and vs == SpecializationUtil.getSpecialization("LightAddon") then
						insPos = i
					end;
				end;
				table.insert(v.specializations, insPos, SpecializationUtil.getSpecialization("VariableBeaconLights"));
			end;	
		end;
	end;
end;


function VariableBeaconLights_Register:deleteMap()
  
end;

function VariableBeaconLights_Register:keyEvent(unicode, sym, modifier, isDown)

end;

function VariableBeaconLights_Register:mouseEvent(posX, posY, isDown, isUp, button)

end;

function VariableBeaconLights_Register:update(dt)
	
end;

function VariableBeaconLights_Register:draw()
  
end;

addModEventListener(VariableBeaconLights_Register);